gnutls_set_default_export_priority(3)

NAME
gnutls_set_default_export_priority - Sets some default priority on the cipher suites supported by gnutls.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_set_default_export_priority(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Sets some default priority on the ciphers, key exchange methods, macs and compression methods. This function also includes weak algorithms.

THIS IS THE SAME AS CALLING
gnutls_priority_set_direct (session, "EXPORT", NULL); This function is kept around for backwards compatibility, but because of its wide use it is still fully supported. If you wish to allow users to provide a string that specify which ciphers to use (which is recommended), you should use gnutls_priority_set_direct() or gnutls_priority_set() instead.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.